package web

import (
	"github.com/fgm/izidic"
	"github.com/gin-gonic/gin"

	"code.osinet.fr/fgm/sqs_demo/services"
	"code.osinet.fr/fgm/sqs_demo/services/redriver"
)

func SetupRoutes(rd redriver.Redriver) *gin.Engine {
	r := gin.Default()
	r.GET("/", makeHomeHandler(rd))
	return r
}

func HttpService(dic *izidic.Container) (any, error) {
	rd := dic.MustService(services.SvcRedriver).(redriver.Redriver)
	return SetupRoutes(rd), nil
}
